package com.kingdee.eas.custom.compensation.startingsalary;

import com.kingdee.bos.dao.AbstractObjectCollection;
import com.kingdee.bos.dao.IObjectPK;

public class SalaryConfirmationEntrys1Collection extends AbstractObjectCollection 
{
    public SalaryConfirmationEntrys1Collection()
    {
        super(SalaryConfirmationEntrys1Info.class);
    }
    public boolean add(SalaryConfirmationEntrys1Info item)
    {
        return addObject(item);
    }
    public boolean addCollection(SalaryConfirmationEntrys1Collection item)
    {
        return addObjectCollection(item);
    }
    public boolean remove(SalaryConfirmationEntrys1Info item)
    {
        return removeObject(item);
    }
    public SalaryConfirmationEntrys1Info get(int index)
    {
        return(SalaryConfirmationEntrys1Info)getObject(index);
    }
    public SalaryConfirmationEntrys1Info get(Object key)
    {
        return(SalaryConfirmationEntrys1Info)getObject(key);
    }
    public void set(int index, SalaryConfirmationEntrys1Info item)
    {
        setObject(index, item);
    }
    public boolean contains(SalaryConfirmationEntrys1Info item)
    {
        return containsObject(item);
    }
    public boolean contains(Object key)
    {
        return containsKey(key);
    }
    public int indexOf(SalaryConfirmationEntrys1Info item)
    {
        return super.indexOf(item);
    }
}